%define module_name Log-Fast
# BEGIN SourceDeps(oneline):
BuildRequires: perl(File/Temp.pm) perl(Module/Build/Tiny.pm) perl(Scalar/Util.pm) perl(Socket.pm) perl(Sys/Syslog.pm) perl(Test/Exception.pm) perl(Test/More.pm) perl(Test/Perl/Critic.pm) perl(Test/Pod.pm) perl(Time/HiRes.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 2.0.1
Release: alt1
Summary: Fast and flexible logger
Group: Development/Perl
License: mit
URL: https://github.com/powerman/perl-Log-Fast

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PO/POWERMAN/%{module_name}-v%{version}.tar.gz
BuildArch: noarch

%description
This is very fast logger, designed for use in applications with thousands.high-level events/operations per second (like network servers with
thousands clients or web spiders which download hundreds url per second).

For example, on Core2Duo sending about 5000 messages to log on enabled
log levels or 20000 messages on disabled log levels in *one second* will
slow down your application only by 2-3%%.

Comparing to some other CPAN modules, this one (in average):
faster than the Log::Dispatch manpage in about 45 times,
faster than the Log::Handler manpage in about 15 times,
faster than the Sys::Syslog manpage in about 7 times,
and slower than the Log::Syslog::Fast manpage in about 2 times.


%prep
%setup -q -n %{module_name}-v%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes LICENSE
%perl_vendor_privlib/L*

%changelog
* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 2.0.1-alt1
- regenerated from template by package builder

* Fri Feb 19 2016 Igor Vlasenko <viy@altlinux.ru> 2.0.0-alt1
- regenerated from template by package builder

* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.6-alt1
- regenerated from template by package builder

* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 1.0.5-alt1
- initial import by package builder

